%% CÁLCULO IFFT GFDM
%<calcIFFT_GFDM>

%PARÁMETROS DE RETORNO:
%sig_rep: Arreglo con repetición de matiz

%PARÁMETROS DE INGRESO:
%totSubEq: total subportadoras equivalente
%totNumSubSimb: número total subsímbolos
%bGlat: Banda de guarda lateral
%numSubP: Número de subportadoras
%mapSig:señal mapeada KxM

function sig_rep = calcIFFT_GFDM(totSubEq,totNumSubSimb,bGlat,numSubP,mapSig)

    sig_total = zeros(totSubEq,totNumSubSimb);
    sig_total(bGlat+1:numSubP+bGlat,:) = mapSig; 
    sig_rep = repmat(totSubEq*ifft(sig_total),totNumSubSimb,1);
end

